org.apache.ignite.internal.processors.timeout

## Class GridSpiTimeoutObject

- java.lang.Object
- - org.apache.ignite.internal.processors.timeout.GridSpiTimeoutObject

All Implemented Interfaces:
  GridTimeoutObject

    public class GridSpiTimeoutObject
    extends Object
    implements GridTimeoutObject

Wrapper for `IgniteSpiTimeoutObject`.

### Constructor Summary

Constructors
Constructor and Description
`GridSpiTimeoutObject(IgniteSpiTimeoutObject obj)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `endTime()`
`boolean` `equals(Object obj)`
`int` `hashCode()`
`void` `onTimeout()` Timeout callback.
`IgniteUuid` `timeoutId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridSpiTimeoutObject

    public GridSpiTimeoutObject(IgniteSpiTimeoutObject obj)

Parameters:
  `obj` - SPI object.

### Method Detail

#### onTimeout

    public void onTimeout()

Timeout callback.

Specified by:
  `onTimeout` in interface `GridTimeoutObject`

#### timeoutId

    public IgniteUuid timeoutId()

Specified by:
  `timeoutId` in interface `GridTimeoutObject`
Returns:
  ID of the object.

#### endTime

    public long endTime()

Specified by:
  `endTime` in interface `GridTimeoutObject`
Returns:
  End time.

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020